﻿using System;
using System.IO;
using System.Text;

namespace BogusClassGenerator
{
    class Program
    {
        static void Main(string[] args)
        {
            var sb = new StringBuilder();

            Console.Write("Enter Namespace: ");
            var ns = Console.ReadLine();
            if (string.IsNullOrWhiteSpace(ns)) return;
            Console.WriteLine("Generating Bogus Class");
            System.Threading.Thread.Sleep(10);

            sb.AppendLine("using System;");
            sb.AppendLine();
            sb.AppendLine($"namespace {ns}");
            sb.AppendLine("{");
            sb.AppendLine("    public class BogusClass");
            sb.AppendLine("    {");

            for (int i = 0; i < 100000; i++)
            {
                string MethodName = $"Method{i}";
                sb.AppendLine($"        public void {MethodName}()");
                sb.AppendLine("        {");
                sb.AppendLine($"            Console.WriteLine();");
                sb.AppendLine("        }");
                sb.AppendLine();
            }

            sb.AppendLine("    }");
            sb.AppendLine("}");

            // Save to file
            string filename = $"{Environment.CurrentDirectory}\\BogusClass.cs";
            if (File.Exists(filename))
                File.Delete(filename);

            File.WriteAllText(filename, sb.ToString());

            Console.WriteLine("Done.");
        }
    }
}
